<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Form work1</title>
  <script>
    /*
      Задание:
        Сделать валидацию формы:
        1. Логин / Пароль не может быть пустым
        2. Пароли должны совпадть
        3. Пока не стоит что юзер согласен с лиц. соглашением - кнопка отправки не активна

        + бонус - то поле, которое не прошло валидацию подсвечивать красным.
                - которое прошло - подсвечивать зеленым.
    */
    window.addEventListener("load", function () {
      var MyValidateForm = document.getElementById('ValidateForm'),
          agree = ValidateForm.agree
          btnSubmit = ValidateForm.submit;

      MyValidateForm.addEventListener("submit", function (e) {
          e.preventDefault();
      });
      
      function SendForm(){
        var myArrayCollection = Array.from(ValidateForm.elements);

        myArrayCollection.forEach( function(item){
          item.classList.remove('error');
          item.classList.remove('ok');
          if( item.type == 'text' || item.type == 'password'){
            // 
            if(item.value !== ""){    
              // 
              if(item.type === 'password' && ValidateForm.pass.value !== ValidateForm.passTwo.value){
                item.classList.add('error');
              } else {
                item.classList.add('ok');
              }
            } else {
              item.classList.add('error');
            }
          }           
        });
      };

      agree.addEventListener('click', function(){
        if(this.checked){
          activeForm()
        } else {
          disableForm()
        }
      })

      function activeForm(){
        btnSubmit.disabled = false;
        MyValidateForm.addEventListener("submit", SendForm());
      }
      function disableForm(){
        btnSubmit.disabled = true;
        MyValidateForm.removeEventListener("submit", SendForm());

      }
    });
  </script>
<body>

  <form id="ValidateForm" >
    <input type="text" name="Login" placeholder="Ваш логін" />
    <input type="password" name="pass" placeholder="Ваш пароль" />
    <input type="password" name="passCheck" placeholder="Повторіть пароль" />
    <label for="agree">
      <span>Ви згодні з ліцензійною угодою.</span>
      <input type="checkbox" id="agree" />
    </label>
    <input type="submit" name="submit" value="Надіслати" disabled/>
  </form>

  <style>
    #ValidateForm{
      width: 350px;
      display: flex;
      flex-direction: column;
    }

    #ValidateForm input{
      margin-bottom: 10px;
      box-sizing: border-box;
      padding: 10px 20px;
    }
    .error{
      border: 1px solid red;
    }
    .ok{
      border: 1px solid green;
    }
  </style>
</body>
</html>
